:root{
	--cursor-sound: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="15" height="14" viewBox="0 0 15 14"><path fill="white" d="M6.37598.2188c.30005-.24002.71221-.2864 1.05859-.12011.34627.16658.5664.5171.56641.90136V13.003c-.00013.3842-.22016.7348-.56641.9014-.3464.1663-.75853.1189-1.05859-.1211L2.89941 11.002H1c-.55207-.0002-1-.4479-1-1V4.00103c.00002-.55212.44794-.99975 1-1h1.89941zm5.26362 1.05176-.0712.2461c.0641-.21959.0713-.24276.0722-.24512h.003c.001.00031.0025.00146.0039.00195.003.00093.0073.00159.0117.00293.009.00284.0209.00689.0351.01172.0292.00992.0695.0247.1182.04395.0977.03868.2329.09779.3916.18261.3178.16992.7368.44595 1.1533.8711.8435.86117 1.6425 2.30044 1.6426 4.61523-.0001 2.315-.799 3.75407-1.6426 4.61527-.4166.4253-.8355.7001-1.1533.8701-.1589.0849-.2938.1439-.3916.1826-.0488.0193-.0889.034-.1182.0439l-.0468.0157c-.0014.0004-.0029.0006-.0039.0009l-.002.001c-.0013-.003-.0133-.0404-.1416-.4804l.1396.4804c-.2649.077-.5428-.0749-.6201-.3398-.0769-.2645.0749-.5422.3389-.6201.0022-.0007.0076-.0016.0146-.0039.0147-.005.0395-.0144.0723-.0274.0662-.0262.1662-.0696.2881-.1348.2446-.1308.576-.3483.9092-.6884.6563-.67 1.3573-1.8557 1.3574-3.91507-.0001-2.05942-.7011-3.24603-1.3574-3.91601-.3332-.33998-.6647-.55771-.9092-.68848-.1219-.06516-.222-.10858-.2881-.13477-.0326-.01289-.0576-.02137-.0723-.02636-.0049-.00172-.0091-.00406-.0117-.00489l-.0009.00098c-.2648-.07739-.4179-.35525-.3409-.62012.0773-.26475.3553-.41763.6201-.34082zm-1.5078 1.5-.081.29199.082-.29199h.002c.001.00048.0027.00163.0039.00196l.039.01171c.0235.00762.0558.01888.0938.03321.0768.02898.1817.07313.3047.13574.2465.12562.5721.32915.8955.64355.6583.64049 1.2754 1.70741 1.2754 3.4043-.0002 1.69711-.6169 2.76399-1.2754 3.40427-.3236.3146-.6489.518-.8955.6436-.1231.0627-.2279.1068-.3047.1357-.0383.0144-.0703.0256-.0938.0332l-.039.0117a.03746.03746 0 0 1-.0039.001h-.002v.001h-.001c-.26582.0738-.54107-.0829-.6152-.3486-.07341-.265.08055-.5392.34473-.6143.00134-.0005.00414-.0017.00781-.0029.00942-.0031.02635-.0082.04883-.0166.04613-.0174.11793-.0474.20503-.0918.1751-.0892.4131-.23705.6514-.46877.4659-.45292.9725-1.26167.9727-2.6875 0-1.42557-.5069-2.23437-.9727-2.6875-.2383-.23165-.4763-.3805-.6514-.46973-.0869-.04428-.15888-.0734-.20503-.09082-.02243-.00845-.03937-.01449-.04883-.01757-.00217-.00071-.0045-.00151-.00586-.00196l.00098-.00097c-.26578-.07401-.42133-.34839-.34766-.61426.07393-.26604.34918-.42156.6152-.34766zM3.875 4.7813c-.17727.14173-.39803.21973-.625.21973H2v4.00098h1.25l.16895.01465c.16579.02836.32322.09797.45605.2041L6.00098 10.921V3.08013zm5.39648.33204c.2238-.16148.53658-.11134.69825.1123.30737.42589.52827 1.0068.52827 1.77441-.0001.76756-.2208 1.34764-.52827 1.77344-.16154.2237-.47441.27352-.69825.11231-.22348-.16168-.27367-.47353-.1123-.69727.1805-.24998.33874-.62432.33887-1.18848 0-.56401-.1585-.93839-.33887-1.18847-.1616-.22381-.11139-.53654.1123-.69824z"/></svg>');
	--cursor-mute: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path fill="white" d="M11.0464 5.0493c.3001-.23997.7122-.28642 1.0586-.12012.3462.16657.5663.51717.5664.90137V18.1694c0 .3843-.2202.7348-.5664.9014-.3464.1664-.7585.1199-1.0586-.1201l-3.584-2.8662H5.49951c-.55209-.0003-1-.4479-1-1V8.91551c.00009-.55207.44797-.99977 1-1H7.4624zM8.43896 9.69676c-.17725.14168-.39807.21874-.625.21875H6.49951v4.16899h1.31445l.16797.0146c.16604.0283.32403.0988.45703.2051l2.23244 1.7851V7.91062zM18.647 9.33348c.1952-.1952.5118-.19517.707 0 .1951.1953.1952.51185 0 .70702l-1.9609 1.96 1.9609 1.9609c.195.1953.1952.5118 0 .707-.1952.195-.5118.195-.707 0l-1.961-1.9609-1.9609 1.9609c-.1952.1951-.5118.195-.707 0-.1952-.1952-.1951-.5117 0-.707l1.9599-1.9609-1.9599-1.96c-.1953-.19522-.1952-.51175 0-.70702.1952-.19524.5117-.19522.707 0l1.9609 1.95992z"/></svg>');
	--cursor-play: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="16" height="20" fill="none" viewBox="0 0 16 20"><path stroke="white" stroke-width="2" d="M13.9733 8.93808c1.3664.76149 1.3714 1.71942 0 2.58032L3.37627 18.6653c-1.33149.7105-2.23581.291-2.33074-1.2465L1.00057 2.46055C.97059 1.04428 2.13721.64413 3.24887 1.32317z"/></svg>');
	--cursor-pause: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="none" viewBox="0 0 24 24"><path stroke="white" stroke-linecap="round" stroke-width="2" d="M8 4.79995V19.2m8-14.40005V19.2"/></svg>');
	--cursor-plus: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="17" height="17" fill="none" viewBox="0 0 17 17"><path stroke="white" stroke-linecap="round" stroke-width="2" d="M8.2 1v14.4m7.2-7.2H1"/></svg>');
	--cursor-minus: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="17" height="2" fill="none" viewBox="0 0 17 2"><path stroke="white" stroke-linecap="round" stroke-width="2" d="M15.4 1H1"/></svg>');
	--cursor-link: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="18" height="16" fill="none" viewBox="0 0 18 16"><path stroke="white" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M10.3333 15 17 8l-6.6667-7M17 8H1"/></svg>');
}

#special-cursor{
	display: none;
}

@media (hover: hover){
	#special-cursor{
		pointer-events: none;
		position: fixed;
		z-index: 9999;
		top: 0;
		left: 0;
		display: flex;
		align-items: center;
		justify-content: center;
		width: 20px;
		aspect-ratio: 1;
		transform: translate3d(-50%, -50%, 0);
		transform-origin: center;
		border-radius: 999px;
		background: var(--wp--preset--color--farbe-2) url() center no-repeat;
		transition: all .3s ease;
		transition-property: width, height, background-color, background-image;

		&::before{
			content: var(--cursor-link);
			font-size: 0;
			line-height: 1;
			opacity: 0;
			transform: scale(0.5);
			transition: all .3s ease;
			transition-property: transform, opacity;
		}


		&.clickable{
			width: 54px;

			&::before{
				opacity: 1;
				transform: scale(1);
			}
			&.external::before{
				transform: scale(1) rotate(-45deg);
			}
			&.sound::before{
				content: var(--cursor-sound);
			}
			&.mute::before{
				content: var(--cursor-mute);
			}
			&.play::before{
				content: var(--cursor-play);
			}
			&.pause::before{
				content: var(--cursor-pause);
			}
			&.plus::before{
				content: var(--cursor-plus);
			}
			&.minus::before{
				content: var(--cursor-minus);
			}
		}
		&.contast-bg{
			background-color: var(--wp--preset--color--farbe-1);
		}
	}
}